<?php
  
  $session = $this->getSession();
  $filter_html = new Yab_Filter_Html();
  
  $sitefouille_id = $session->get('sitefouille_id') ;
  
  $network = array() ;
  foreach($network_anteroposterite as $anteroposterite ) {
    $us_id_p = $anteroposterite->get('posterieur_id') ;
    $us_nom_p = $anteroposterite->get('us_posterieur') ;
    $us_id_ident_p = hash('crc32', $us_id_p ) ;
    $title_p = '<a href="'.$this->getRequest('Dashboard_Us', 'show', array($us_id_p) ).'" target="_blank">'.$us_nom_p.'</a>' ;
    
    $us_id_a = $anteroposterite->get('anterieur_id') ;
    $us_nom_a = $anteroposterite->get('us_anterieur') ;
    $us_id_ident_a = hash('crc32', $us_id_a ) ;  
    $title_a = '<a href="'.$this->getRequest('Dashboard_Us', 'show', array($us_id_a) ).'" target="_blank">D&eacute;tails</a>' ;
    
    $network['nodes'][$us_id_p] = array(
      'id' => $us_id_ident_p,
      'label' => $us_nom_p,
      // 'allowedToMoveY' => 'false',
      'title' => $title_p, 
    ); 
    $network['nodes'][$us_id_a] = array(
      'id' => $us_id_ident_a,
      'label' => $us_nom_a,
      // 'allowedToMoveY' => 'false',
      'title' => $title_a, 
    );
    $edges = array(
      'from' => $us_id_ident_p,
      'to' => $us_id_ident_a,
    );
    if( $anteroposterite->get('incertitude') ){
      $edges['style'] = 'dash-line' ;
      $edges['label'] = 'incertain' ; 
    } 
     
    $network['edges'][] = $edges ;
    
  } 
  
  
  foreach($network_synchronisation as $synchronisation ) {
    $us_id_l = $synchronisation->get('synchro1_id') ;
    $us_nom_l = $synchronisation->get('us_left_synchro') ;
    $us_id_ident_l = hash('crc32', $us_id_l ) ;
    $title_l = '<a href="'.$this->getRequest('Dashboard_Us', 'show', array($us_id_l) ).'" target="_blank">D&eacute;tails</a>' ;
    
    $us_id_r = $synchronisation->get('synchro2_id') ;
    $us_nom_r = $synchronisation->get('us_right_synchro') ;
    $us_id_ident_r = hash('crc32', $us_id_r ) ;  
    $title_r = '<a href="'.$this->getRequest('Dashboard_Us', 'show', array($us_id_r) ).'" target="_blank">D&eacute;tails</a>' ;
    
    $network['nodes'][$us_id_l] = array(
      'id' => $us_id_ident_l,
      'label' => $us_nom_l,
      // 'allowedToMoveY' => 'false',
      'title' => $title_l, 
    ); 
    $network['nodes'][$us_id_r] = array(
      'id' => $us_id_ident_r,
      'label' => $us_nom_r,
      // 'allowedToMoveY' => 'false',
      'title' => $title_r, 
    );
    $edges = array(
      'from' => $us_id_ident_l,
      'to' => $us_id_ident_r,
      'color' => 'red',

    );
    if( $synchronisation->get('incertitude') ){
      $edges['style'] = 'dash-line' ;
      $edges['label'] = 'incertain' ; 
    } 
     
    $network['edges'][] = $edges ;
  
  } 
  
  
  foreach($network['nodes'] as $node ) {
    $network_nodes[] = $node ;
  } 

  $network_nodes = json_encode($network_nodes )  ;
  $network_edges = json_encode($network['edges'] )  ;


  // identifiant unique de la div d'affichage 
  $unique_div = rand();
?>
<?php 
  // test si page autonome ( dans un layout ) ou incluse dans une autre.
  // permet de ne pas redefinir l'appel highcharts de multiple fois
  if (!$this->getLayout()->getEnabled() ) { 
?>
  <link href="<?php echo $request->getBaseUrl(); ?>/css/_vis.css" rel="stylesheet" type="text/css" />
  <script src="<?php echo $request->getBaseUrl(); ?>/js/vis.js"></script>
<?php  } ?>

<script type="text/javascript">
/* Cloud point */
    var network_us = null;
    // var layoutMethod_us = "direction";
    var layoutMethod_us = "hubsize";
    var direction_us = "UD";

    function draw_us() {
      var nodes = <?php echo $network_nodes ; ?> ;
      var edges = <?php echo $network_edges ; ?> ;
    
        var nodes_us = [];
        var edges_us = [];
        // randomly create some nodes and edges
        /*
        for (var i = 0; i < 15; i++) {
            nodes_us.push({
                id: i,
                label: String(i)
            });
        }
        edges_us.push({ from: 0, to: 1  });
        edges_us.push({ from: 0, to: 6 });
        edges_us.push({ from: 0, to: 13 });
        edges_us.push({ from: 0, to: 11 });
        edges_us.push({ from: 1, to: 2 });
        edges_us.push({ from: 2, to: 3 });
        edges_us.push({ from: 2, to: 4 });
        edges_us.push({ from: 3, to: 5 });
        edges_us.push({ from: 1, to: 10 });
        edges_us.push({ from: 1, to: 7 });
        edges_us.push({ from: 2, to: 8 });
        edges_us.push({ from: 2, to: 9 });
        edges_us.push({ from: 3, to: 14 });
        edges_us.push({ from: 1, to: 12 });
        */
        // create a network
        var container_us = document.getElementById('sdf_us_network_us_<?php echo $unique_div  ; ?>');
        var data_us = {
            nodes: nodes,
            edges: edges
        };

        var options_us = {
          width:  '100%',
          height: '400px',
          /*
          hierarchicalLayout: {
            direction: direction_us,
            layout: layoutMethod_us,
          },
          */
          edges: {
            style:"line",
            color: 'red',
            width: 2
          },
          smoothCurves:false
        };
        network_us = new vis.Network(container_us, data_us, options_us);
        /*
        // add event listeners
        network.on('select', function(params) {
            document.getElementById('selection').innerHTML = 'Selection: ' + params.nodes;
        });
        */
    }
    
  $(document).ready(function(){
    
    draw_us() ;  

  });

</script>

<div id="sdf_us_network_us_<?php echo $unique_div  ; ?>"></div>